import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCClient } from 'packages/core/rpc/client/RPCClient';

import { MetaCrawler } from '../model';

@Injectable()
export class CrawlerService {

  public constructor(
    private rpcClient: RPCClient,
  ) {

  }

  public readAll(): Observable<MetaCrawler[]> {
    return this.rpcClient.call<MetaCrawler[]>('CrawlerService.readAll');
  }
}
